import { html } from 'lit-html';
const meta = {
    title: 'Multiselect',
    component: 'zero-multiselect',
};
export default meta;
const countriesList = [
    'Afghanistan',
    'Aland Islands',
    'Albania',
    'Algeria',
    'American Samoa',
    'Andorra',
    'Angola',
    'Anguilla',
    'Antarctica',
    'Antigua and Barbuda',
    'Argentina',
    'Armenia',
    'Aruba',
    'Australia',
    'Austria',
    'Azerbaijan',
    'Bahamas',
    'Bahrain',
    'Bangladesh',
    'Barbados',
    'Belarus',
    'Belgium',
    'Belize',
    'Benin',
    'Bermuda',
    'Bhutan',
    'Bolivia',
    'Bonaire, Sint Eustatius and Saba',
    'Bosnia and Herzegovina',
    'Botswana',
    'Bouvet Island',
    'Brazil',
    'British Indian Ocean Territory',
    'Brunei Darussalam',
    'Bulgaria',
    'Burkina Faso',
    'Burundi',
    'Cambodia',
    'Cameroon',
    'Canada',
    'Cape Verde',
    'Cayman Islands',
    'Central African Republic',
    'Chad',
];
export const Primary = {
    render: ({ name, text, countries, search, autoPosition, creatable }) => html `
    <div style="min-height: 400px;">
      <zero-multiselect
        name="${name}"
        auto-position="${autoPosition}"
        .options="${countries}"
        search="${search}"
        creatable="${creatable}"
      >
        <label slot="label">${text}</label>
      </zero-multiselect>
    </div>
  `,
    args: {
        name: 'Countries',
        text: 'Multiselect',
        search: true,
        autoPosition: true,
        creatable: false,
        countries: countriesList,
    },
};
export const Creatable = {
    render: ({ name, text, countries, search, autoPosition, creatable }) => html `
    <div style="min-height: 400px;">
      <zero-multiselect
        name="${name}"
        auto-position="${autoPosition}"
        .options="${countries}"
        search="${search}"
        creatable="${creatable}"
      >
        <label slot="label">${text}</label>
      </zero-multiselect>
    </div>
  `,
    args: {
        name: 'Countries',
        text: 'Creatable Multiselect',
        search: true,
        autoPosition: true,
        creatable: true,
        countries: countriesList,
    },
};
